# std::function::~function

From cppreference.com
< cpp‎ | utility‎ | functional‎ | function

~function(); |  | (since C++11)

Destroys the std::function instance. If the stored callable is valid, it is destroyed also.

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/utility/functional/function/%7Efunction&oldid=91816"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template